cedric pushed a commit to branch master.


commit 4c7011b58a190630788ed9581d26e817e94f1b3a
Author: Clément Bénier <clement.ben...@openwide.fr>
Date:   Tue Jun 9 18:18:06 2015 +0200

    Wiki page ubuntu-start created
    Signed-off-by: Clément Bénier <clement.ben...@openwide.fr>
    Signed-off-by: Pierre Le Magourou <pierre.lemagou...@openwide.fr>
    Reviewed-by: Pierre Le Magourou <pierre.lemagou...@openwide.fr>
    Signed-off-by: Cedric BAIL <ced...@osg.samsung.com>
 pages/distros/ubuntu-start.txt | 55 ++++++++++++++++++++++++++++++++++++++++++
 pages/docs.txt                 |  3 +++
 2 files changed, 58 insertions(+)

diff --git a/pages/distros/ubuntu-start.txt b/pages/distros/ubuntu-start.txt
new file mode 100644
index 0000000..acfc277
--- /dev/null
+++ b/pages/distros/ubuntu-start.txt
@@ -0,0 +1,55 @@
+~~Title: Ubuntu~~
+==== Ubuntu ====
+The available version of the official package is outdated, a better way is to
+install e19 from a PPA repository:
+<code bash>
+sudo add-apt-repository ppa:niko2040/e19
+To install Enlightenment and Terminology:
+<code bash>
+sudo apt-get update
+sudo apt-get install enlightenment
+sudo apt-get install terminology #optionnal
+Then reboot or log out, select the Enlightenment desktop environment and
+follow the configuration menu.
+If you just want elementary whith efl :
+<code bash>
+sudo apt-get update
+sudo apt-get install libelementary1
+If you want to install enlightenment, elementary or EFL from sources, make
+sure the following dependencies are installed:
+<code bash>
+sudo apt-get install build-essential \
+libasound2 libbluetooth3 libc6 libpam0g libxcb-keysyms1 libxcb-shape0 libxcb1 \
+libvlc5 libbulletcollision2.81 libbulletdynamics2.81 libbulletsoftbody2.81 \
+libdbus-1-3 libfontconfig1 libfreetype6 libfribidi0 libgcc1 libgif4 \
+libgl1-mesa-glx libglib2.0-0 libgstreamer-plugins-base1.0-0 libgstreamer1.0-0 \
+libharfbuzz0b libjpeg8 liblinearmath2.81 libluajit-5.1-2 libmount1 libpng12-0 \
+libpulse0 libsndfile1 libssl1.0.0 libstdc++6 libtiff5 libudev1 libwebp5 \
+libx11-6 libxcomposite1 libxcursor1 libxdamage1 libxext6 libxfixes3 libxi6 \
+libxinerama1 libxp6 libxrandr2 libxrender1 libxss1 libxtst6 zlib1g \
+libfreetype6 libgcc1 libluajit-5.1-2 libpng12-0 libcairo2 libglib2.0-0 \
+libpoppler44 libraw9 librsvg2-2 libspectre1 zlib1g autopoint doxygen \
+check libssl-dev libjpeg-dev luajit libluajit-5.1-dev libfreetype6-dev \
+libfontconfig1-dev libfribidi-dev libx11-dev libcogl-gles2-dev \
+libgif-dev libtiff5-dev libgstreamer-plugins-base1.0-dev libdbus-1-dev \
+libmount-dev libblkid-dev libpulse-dev libsndfile1-dev libxinerama-dev \
+x11proto-print-dev libXp-dev libxrender-dev libxrandr-dev libxfixes-dev \
+libxdamage-dev libxcursor-dev libxcomposite-dev libxss-dev libxp-dev \
+libxext-dev libxkbfile-dev libxtst-dev libxcb1-dev libxcb-shape0-dev \
+libxcb-keysyms1-dev libbullet-dev vlc libvlc-dev autoconf libtool
+Then go to [[../docs-efl-start|Get EFL installed]] tutorial, to install
+Enlightenment from sources.
diff --git a/pages/docs.txt b/pages/docs.txt
index e15a4a6..bc8680c 100644
--- a/pages/docs.txt
+++ b/pages/docs.txt
@@ -8,7 +8,10 @@ release is out, or to track latest features and development
 continually. This is also the case if you want to contribute. Of
 course you can use stable packages for your distribution as well.
+=== Getting EFL ===
   * [[docs-efl-start|Get EFL installed]]
+  * [[distros/ubuntu-start|EFL on ubuntu]]
   * [[docs/c/start|A basic primer on C]]
   * [[docs/efl/start|Get started with EFL]]
   * [[docs/efl/advanced/start|Advanced EFL Topics]]


Reply via email to